diff options
author | Natanael Copa <ncopa@alpinelinux.org> | 2009-07-24 08:01:31 +0000 |
---|---|---|
committer | Natanael Copa <ncopa@alpinelinux.org> | 2009-07-24 08:01:31 +0000 |
commit | b70981b68efcce5256eb11c6cd26ae123b10b6ea (patch) | |
tree | a38be6efae5e2ba15c2e839504632f9b7bfd5f91 /main/libgpg-error | |
parent | 2b4df81538b8398442d5296650905c70341dd8d3 (diff) | |
download | aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.bz2 aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.xz |
moved extra/* to main/
and fixed misc build issues
Diffstat (limited to 'main/libgpg-error')
-rw-r--r-- | main/libgpg-error/APKBUILD | 32 | ||||
-rw-r--r-- | main/libgpg-error/nocxx.patch | 15 |
2 files changed, 47 insertions, 0 deletions
diff --git a/main/libgpg-error/APKBUILD b/main/libgpg-error/APKBUILD new file mode 100644 index 00000000..24cac436 --- /dev/null +++ b/main/libgpg-error/APKBUILD @@ -0,0 +1,32 @@ +# Maintainer: Natanael Copa <ncopa@alpinelinux.org> +pkgname=libgpg-error +pkgver=1.7 +pkgrel=0 +pkgdesc="Support library for libgcrypt" +url="http://www.gnupg.org" +license="LGPL" +depends="uclibc" +subpackages="$pkgname-dev $pkgname-lisp" +source="ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/$pkgname/$pkgname-$pkgver.tar.bz2 + nocxx.patch + " + +build () { + cd "$srcdir"/$pkgname-$pkgver + msg "Punting useless check for cpp..." + patch configure < ../nocxx.patch || return 1 + + ./configure --prefix=/usr \ + --disable-nls + + make || return 1 + make -j1 DESTDIR="$pkgdir" install +} + +lisp() { + mkdir -p "$subpkgdir"/usr/ + mv "$pkgdir"/usr/share "$subpkgdir"/usr/share/ +} + +md5sums="62c0d09d1e76c5b6da8fff92314c4665 libgpg-error-1.7.tar.bz2 +28513788ba4d556ccd538867dc6205ab nocxx.patch" diff --git a/main/libgpg-error/nocxx.patch b/main/libgpg-error/nocxx.patch new file mode 100644 index 00000000..beb1ab90 --- /dev/null +++ b/main/libgpg-error/nocxx.patch @@ -0,0 +1,15 @@ +--- a/configure 2004-12-07 21:34:23.205172545 +0000 ++++ b/configure 2004-12-07 21:37:17.726654782 +0000 +@@ -5148,10 +5148,8 @@ + : + else + { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check +-See \`config.log' for more details." >&5 +-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check +-See \`config.log' for more details." >&2;} +- { (exit 1); exit 1; }; } ++See \`config.log' for more details." >&5;} ++ { echo "C++ sucks, ignoring ..." >&5; }; } + fi + + ac_ext=cc |